SkyPoster помогает вам написать полезный и SEO-оптимизированный контент через AI, с акцентом на ваших ключевых фразах.

## Инструкция

### Быстрый старт
Вставьте ключевые фразы, подходящие для вашего сайта в раздел 1 "Topic of the posts".
По одной на строку.
Внутри каждой ключевой фразы можно, если вам надо, указать детальную инструкцию как и о чём должна быть статья, какие факты использовать или стиль.
Не перепутайте индивидуальный стиль для каждой статьи, который вставляется здесь, и общий стиль для всех статей, который вы можете настроить позже

Статья будет написана на каждую указанную ключевую фразу

**Теперь вы можете перейти в последний раздел плагина и нажать Генерация**.
Плагин начнёт писать статьи и, по мере написания, выводить ссылку на каждую в поле ниже. Это может занять несколько минут (в зависимости от кол-ва статей).

Статьи будут добавлены в раздел *Черновики* (по-умолчанию) для вашей доработки, одобрения и публикации.

Со стандартными настройками он пишет хорошие тексты. Но часто хочется улучшить статьи, украсить их форматированием и особой стилистикой. Поэтому пройдёмся по дополнительным возможностям

### Выбор темы и ключевых слов

#### Детали ключевых фраз
Внутри каждой ключевой фразы вы можете указать детальную инструкцию как и о чём должна быть статья, какие факты использовать или стиль. А также указать мета-теги, заголовок и другое через знак;
Не перепутайте индивидуальный стиль для ключевой фразы, который вставляется здесь, и общий стиль для всех статей, который вы можете настроить позже

Форматы:
``` 
1) keyword 
2) keyword; article description and style; title; h1; meta description
```
Поддерживается любое число параметров. Можно написать

```
1) ключевая фраза; о чём должен быть текст
```

#### Загрузка из CSV-файла

Поддерживается загрузка из любого CSV, в т.ч. выгрузка из Google Keyplanner и Yandex wordstat

#### Генерация ключевиков
В разделе 1 есть второй блок с генерацией ключевиков.
Вы можете ввести тематику вашего сайта число нужных вам ключевых фраз и нажать "Создать ключевики", чтобы он сам придумал какие статьи были бы полезны для вашего сайта

### Настройки постинга

#### Параметры статьи
Вы можете выбрать:

* AI модель, которая будет создавать тексты
* Добавлять статью в Черновики или сразу Публиковать
* В какую категорию добавлять
* Автор статей (из пользователей сайта)
* Язык статей: может быть полезно, когда ваши ключевики на одном языке, но статью вы хотите на языке вашего сайта. По-умолчанию подставляется язык вашего сайта.

#### Структура разделов всех статей
Представим, что вы пишите тексты о породах кошек. Для каждой кошки вы хотели бы видеть: страну происхождения, историю, описание характера.

Вы можете указать эти разделы в секции 2 и ВСЕ статьи будут строго придерживаться этой структуры. 

**Оставляя поле с разделами пустым, SkyPoster создаст их автоматически, уникальными для каждой статьи**

### Форматирование статей, улучшение качества и Тест

В разделе 3 вы может указать общий стиль **для всех статей**. Или другие инструкции. Здесь полезно указать где надо использовать таблицы, блоки кода, выделять жирным какие-то тезисы итд. Можете добавить и любые другие инструкции в свободной форме.

По кнопке "Генерация примера статьи" - вы можете увидеть что получается на примере одной статьи до того как вы захотите запустить генерацию по всем ключевым фразам.

### Генерация

Всё готово! Можно нажимать Генерировать и он начнёт писать статьи, добавляя ссылку на новые сверху.

Для запуска генерации достаточно просто иметь одну ключевую фразу, всё остальное работает с настройками по-умолчанию автоматически.

