<?php

/**
 * @var $unique_id
 */

$license_id = get_option('skyposter_plugin_license_id');


?>
<div class="">

    <h1><?php esc_html_e("Settings", "skyposter") ?></h1>

    <div style="margin: 3px 0">
        <a class="" href="https://my.skyposter.pro/buy/<?php echo esc_html($unique_id) ?>"
           target="_blank"><?php esc_html_e("Add more articles", "skyposter") ?></a>
    </div>

    <h2><?php esc_html_e("Account", "skyposter") ?></h2>

   <?php esc_html_e("To link your account, insert the licence key given to you by the my.skyposter.pro website", "skyposter") ?>
    <div >
    </div>
    <div style="margin-top: 10px">
        <input style="width: 300px" value="<?php echo esc_html($license_id) ?>" id="license_key" type="text"
               placeholder="<?php esc_html_e("Paste the licence key", "skyposter") ?>"/>
        <button onclick="setLicenseKey()" class="button-primary"
                style="margin-left: 20px"><?php esc_html_e("Install the key", "skyposter") ?></button>
        <a style="margin-left: 20px" class="" href="https://my.skyposter.pro/i/<?php echo esc_html($unique_id) ?>"
           target="_blank"><?php esc_html_e("Get key", "skyposter") ?></a>


    </div>
    <div id="skyposter_license_error" style="color: red"></div>
    <div id="skyposter_license_success" style="color: green"></div>


    <h2 style="margin-top: 20px"><?php esc_html_e("Plugins integration", "skyposter") ?>:</h2>
    <div style="margin-top: 10px"><strong>YOAST SEO:</strong>
       <?php if (defined('WPSEO_VERSION')): ?>
           <span style="border-radius: 3px; padding: 2px 4px; background: rgba(76,169,76,0.51); color: white; margin-left: 15px;">
                <?php esc_html_e('Connected', 'skyposter') ?>
            </span>
       <?php else: ?>
           <span style="border-radius: 3px; padding: 2px 4px; background: rgba(121,133,169,0.51); color: white; margin-left: 15px;">
                <?php esc_html_e('Plugin not found', 'skyposter') ?>
            </span>
       <?php endif; ?>
    </div>
    <div style="margin-top: 10px"><strong>All in One SEO:</strong>
       <?php if (function_exists('aioseo')): ?>
           <span style="border-radius: 3px; padding: 2px 4px; background: rgba(76,169,76,0.51); color: white; margin-left: 15px;">
                <?php esc_html_e('Connected', 'skyposter') ?>
            </span>
       <?php else: ?>
           <span style="border-radius: 3px; padding: 2px 4px; background: rgba(121,133,169,0.51); color: white; margin-left: 15px;">
                <?php esc_html_e('Plugin not found', 'skyposter') ?>
            </span>
       <?php endif; ?>
    </div>

</div>

<style>
    .wpxtest {
        color: red;
    }
</style>

<script>

    function setLicenseKey() {

        let dataFSend = {
            type: 'LICENSE_APPLY',
            license: document.getElementById('license_key').value,
        };

        skyposter_request(dataFSend, '#skyposter_license_success', '#skyposter_license_error')

    }

</script>